"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.commandNames = exports.shorthands = exports.rcOptionsTypes = void 0;
exports.cliOptionsTypes = cliOptionsTypes;
exports.help = help;
exports.handler = handler;
const render_help_1 = __importDefault(require("render-help"));
const cli_utils_1 = require("@pnpm/cli-utils");
const logger_1 = require("@pnpm/logger");
exports.rcOptionsTypes = cliOptionsTypes;
function cliOptionsTypes() {
    return {};
}
exports.shorthands = {};
exports.commandNames = ['doctor'];
function help() {
    return (0, render_help_1.default)({
        description: 'Checks for known common issues.',
        url: (0, cli_utils_1.docsUrl)('doctor'),
        usages: ['pnpm doctor [options]'],
    });
}
async function handler(opts) {
    const { failedToLoadBuiltInConfig } = opts;
    if (failedToLoadBuiltInConfig) {
        // If true, means loading npm builtin config failed. Then there may have a prefix error, related: https://github.com/pnpm/pnpm/issues/5404
        logger_1.logger.warn({
            message: 'Load npm builtin configs failed. If the prefix builtin config does not work, you can use "pnpm config list" to show builtin configs. And then use "pnpm config --global set <key> <value>" to migrate configs from builtin to global.',
            prefix: process.cwd(),
        });
    }
}
//# sourceMappingURL=doctor.js.map